<?php declare(strict_types = 1);
/*
** Zabbix
** Copyright (C) 2001-2023 Zabbix SIA
** Copyright (C) 2024 Cybertrust Japan Co., Ltd.
**
** This program is free software: you can redistribute it and/or modify it under the terms of
** the GNU Affero General Public License as published by the Free Software Foundation, version 3.
**
** This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
** without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
** See the GNU Affero General Public License for more details.
**
** You should have received a copy of the GNU Affero General Public License along with this program.
** If not, see <https://www.gnu.org/licenses/>.
**/


/**
 * @var CView $this
 * @var array $data
 */

$formlist = (new CFormList('snapshot-members-formlist'));

$table = (new CTable())
	->setId('snapshot-members-table')
	->addStyle('width: '.ZBX_TEXTAREA_MAPPING_VALUE_WIDTH.'px;')
	->addClass(ZBX_STYLE_VALUEMAP_LIST_TABLE)
	->setColumns([
		(new CTableColumn($data['thead']))
			->addClass('table-col-handle')
	]);

foreach ($data['members'] as $m) {
	$table->addRow($m);
}

$formlist->addRow(null, $table);

$output = [
	'header' => $data['title'],
	'body' => $formlist->toString(),
	'buttons' => []
];

if ($data['user']['debug_mode'] == GROUP_DEBUG_MODE_ENABLED) {
	CProfiler::getInstance()->stop();
	$output['debug'] = CProfiler::getInstance()->make()->toString();
}

echo json_encode($output);
